/*
SQLyog Ultimate v13.1.1 (64 bit)
MySQL - 5.7.24-log : Database - test627
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`test627` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;

USE `test627`;

/*Table structure for table `app_bom` */

DROP TABLE IF EXISTS `app_bom`;

CREATE TABLE `app_bom` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `app_meta_id` bigint(20) DEFAULT NULL,
  `point_meta_id` bigint(20) DEFAULT NULL,
  `ts` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4;

/*Data for the table `app_bom` */

insert  into `app_bom`(`id`,`app_meta_id`,`point_meta_id`,`ts`) values
(1,1,1,1687851292860),
(2,1,2,1687851292860),
(3,1,3,1687851292860),
(4,3,4,1687942238951),
(5,3,5,1687942238951),
(6,5,6,NULL),
(7,5,7,NULL),
(8,6,8,NULL),
(9,7,9,NULL),
(10,7,10,NULL);

/*Table structure for table `app_inst` */

DROP TABLE IF EXISTS `app_inst`;

CREATE TABLE `app_inst` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sno` varchar(200) DEFAULT NULL,
  `sname` varchar(300) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `ts` bigint(20) DEFAULT NULL,
  `app_meta_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

/*Data for the table `app_inst` */

insert  into `app_inst`(`id`,`sno`,`sname`,`ip`,`ts`,`app_meta_id`) values
(1,'ccxd1688030876735','新建测试1',NULL,1688030876735,7);

/*Table structure for table `app_meta` */

DROP TABLE IF EXISTS `app_meta`;

CREATE TABLE `app_meta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(300) DEFAULT NULL,
  `ts` bigint(20) DEFAULT NULL,
  `remark` varchar(800) DEFAULT NULL,
  `snt` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4;

/*Data for the table `app_meta` */

insert  into `app_meta`(`id`,`name`,`ts`,`remark`,`snt`) values
(1,'Mi16',1687851292860,'phone','m16'),
(2,'iot-car',1687931383455,'iot-car-design','icd'),
(3,'iot-meta-demo',1687941857325,'iot-meta-demo-design','imd'),
(4,'wer21r',NULL,'wer12r21r','rtw'),
(5,'rty34y',1688004833422,'tyru45u','jkrtu'),
(6,'bty34t',1688027870484,'bgdt34','bhm3rt'),
(7,'ccc2re',1688029223442,'cdaf23fcd','ccxd');

/*Table structure for table `point_inst` */

DROP TABLE IF EXISTS `point_inst`;

CREATE TABLE `point_inst` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `serno` varchar(200) DEFAULT NULL,
  `valu` text,
  `ts` bigint(20) DEFAULT NULL,
  `point_meta_id` bigint(20) NOT NULL,
  `app_inst_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4;

/*Data for the table `point_inst` */

insert  into `point_inst`(`id`,`serno`,`valu`,`ts`,`point_meta_id`,`app_inst_id`) values
(1,'cck0','35',1688040190007,9,1),
(2,'cck1',NULL,1688030876742,9,1),
(3,'ccy0',NULL,1688030876747,10,1),
(4,'ccy1',NULL,1688030876747,10,1),
(5,'ccy2',NULL,1688030876747,10,1);

/*Table structure for table `point_meta` */

DROP TABLE IF EXISTS `point_meta`;

CREATE TABLE `point_meta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(300) DEFAULT NULL,
  `remark` varchar(800) DEFAULT NULL,
  `ser` varchar(100) DEFAULT NULL,
  `ts` bigint(20) DEFAULT NULL,
  `unit` varchar(50) NOT NULL DEFAULT '个' COMMENT '单位:度/升/毫升',
  `cost` bigint(20) DEFAULT '1' COMMENT '用量(个)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4;

/*Data for the table `point_meta` */

insert  into `point_meta`(`id`,`name`,`remark`,`ser`,`ts`,`unit`,`cost`) values
(1,'camera','zxj','cam',1687851292860,'个',1),
(2,'radio','rdo','rad',1687851292860,'个',1),
(3,'keyboard','kbod','kbo',1687851292860,'个',1),
(4,'led','0-灭；1-亮','LED',1687941739808,'none',1),
(5,'temperature','温度传感器，值范围 正负100','TEMP',1687941739808,'℃',1),
(6,'switch','开关','sch',NULL,'none',1),
(7,'sd','湿度传感器','sd',NULL,'%',1),
(8,'sdcgq','sdcg湿度传感器','sdcg',1688028061201,'%',2),
(9,'cck','cck传感器','cck',1688029341402,'%',2),
(10,'ccy','ccy传感器','ccy',1688029395826,'%',3);

/*Table structure for table `topic_list_manage` */

DROP TABLE IF EXISTS `topic_list_manage`;

CREATE TABLE `topic_list_manage` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `enable_flag` int(11) DEFAULT '0' COMMENT '0-启用;1-禁用',
  `topic` varchar(300) NOT NULL COMMENT 'mqtt主题',
  `example_data` text COMMENT '案例数据',
  `remark` varchar(600) DEFAULT NULL COMMENT '备注',
  `direct_type` varchar(100) NOT NULL DEFAULT 'up' COMMENT 'up-上行;down-下行',
  `point_inst_id` bigint(20) DEFAULT '1' COMMENT '点位实例id',
  `app_inst_id` bigint(20) DEFAULT '1' COMMENT '应用实例id',
  `create_ts` bigint(20) DEFAULT NULL,
  `update_ts` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4;

/*Data for the table `topic_list_manage` */

insert  into `topic_list_manage`(`id`,`enable_flag`,`topic`,`example_data`,`remark`,`direct_type`,`point_inst_id`,`app_inst_id`,`create_ts`,`update_ts`) values
(1,0,'up/cck/valu/cck0','51','[cck0]---cck度值范围0-100','up',1,1,1688030876749,NULL),
(2,0,'up/cck/stat/cck0','51','[cck0]---cck状态上报 0-正常1-异常','up',1,1,1688030876749,NULL),
(3,0,'up/cck/valu/cck1','51','[cck1]---cck度值范围0-100','up',2,1,1688030876749,NULL),
(4,0,'up/cck/stat/cck1','51','[cck1]---cck状态上报 0-正常1-异常','up',2,1,1688030876749,NULL),
(5,0,'up/ccy/valu/ccy0','51','[ccy0]---ccy值范围0-100','up',3,1,1688030876753,NULL),
(6,0,'up/ccy/valu/ccy1','51','[ccy1]---ccy值范围0-100','up',4,1,1688030876753,NULL),
(7,0,'up/ccy/valu/ccy2','51','[ccy2]---ccy值范围0-100','up',5,1,1688030876753,NULL);

/*Table structure for table `topic_meta` */

DROP TABLE IF EXISTS `topic_meta`;

CREATE TABLE `topic_meta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `topic` varchar(300) NOT NULL COMMENT 'mqtt主题-模版',
  `example_data` text COMMENT '案例数据',
  `remark` varchar(600) DEFAULT NULL COMMENT '备注',
  `direct_type` varchar(100) NOT NULL DEFAULT 'up' COMMENT 'up-上行;down-下行',
  `point_meta_id` bigint(20) DEFAULT '1' COMMENT '点位模版id',
  `create_ts` bigint(20) DEFAULT NULL,
  `update_ts` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4;

/*Data for the table `topic_meta` */

insert  into `topic_meta`(`id`,`topic`,`example_data`,`remark`,`direct_type`,`point_meta_id`,`create_ts`,`update_ts`) values
(1,'down/LED/status/[serno]','0','云端控制开关LED: 0-灭；1-亮. serno是点位实例的唯一标号','down',4,1687943061036,NULL),
(2,'up/LED/status/[serno]','0','硬件主动上报LED状态: 0-灭；1-亮. serno是点位实例的唯一标号','up',4,1687943061409,NULL),
(3,'up/TEMP/status/[serno]','0','温度传感器主动上报: 值范围 正负100. serno是点位实例的唯一标号','up',5,1687943061413,NULL),
(4,'down/switch/status/[serno]','0','1-开,0-关','down',6,1688005371290,NULL),
(5,'up/sd/valu/[serno]','51','湿度值范围0-100','up',7,1688006348325,NULL),
(6,'up/sdcg/valu/[serno]','51','sdcg湿度值范围0-100','up',8,1688028061423,NULL),
(7,'up/cck/valu/[serno]','51','cck度值范围0-100','up',9,1688029341429,NULL),
(8,'up/cck/stat/[serno]','51','cck状态上报 0-正常1-异常','up',9,1688029341429,NULL),
(9,'up/ccy/valu/[serno]','51','ccy值范围0-100','up',10,1688029395851,NULL);

/*Table structure for table `topic_msg_all` */

DROP TABLE IF EXISTS `topic_msg_all`;

CREATE TABLE `topic_msg_all` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `topic` varchar(300) DEFAULT NULL,
  `valu` text,
  `ts` bigint(20) DEFAULT NULL,
  `handle_flag` int(11) DEFAULT '1' COMMENT '1-未处理;0-处理完成',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4;

/*Data for the table `topic_msg_all` */

insert  into `topic_msg_all`(`id`,`topic`,`valu`,`ts`,`handle_flag`) values
(1,'up/cck/valu/cck0','33',1688040184550,0),
(2,'up/cck/valu/cck0','34',1688040187448,0),
(3,'up/cck/valu/cck0','35',1688040189954,0);

/*Table structure for table `topic_msg_recent` */

DROP TABLE IF EXISTS `topic_msg_recent`;

CREATE TABLE `topic_msg_recent` (
  `topic` varchar(300) DEFAULT NULL,
  `valu` text,
  `ts` bigint(20) DEFAULT NULL,
  UNIQUE KEY `uni_topic` (`topic`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `topic_msg_recent` */

insert  into `topic_msg_recent`(`topic`,`valu`,`ts`) values
('up/cck/valu/cck0','35',1688040189954);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
