package cn.demo;

import cn.hutool.extra.spring.EnableSpringUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
//import org.springframework.jms.annotation.EnableJms;
import org.springframework.context.annotation.Bean;
import org.springframework.jms.annotation.EnableJms;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;

import java.util.concurrent.ArrayBlockingQueue;
import java.util.concurrent.Executors;
import java.util.concurrent.RejectedExecutionHandler;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

@EnableSpringUtil
@EnableScheduling
@EnableJms
@SpringBootApplication
@EnableAsync
public class App {

//    @Bean("mqttAsyncPool")
//    public ThreadPoolExecutor mqttAsyncPool() {
//        ThreadFactory tf = Executors.defaultThreadFactory();
//
//
//        RejectedExecutionHandler handler =
//                new ThreadPoolExecutor.CallerRunsPolicy();
//
//
//        ThreadPoolExecutor executor =
//                new ThreadPoolExecutor(
//                        10, 30,
//                        30, TimeUnit.MINUTES,
//                        new ArrayBlockingQueue<>(600, false),
//                        tf, handler);
//
//        return executor;
//    }

    @Bean("alterValuAsyncPool")
    public ThreadPoolTaskExecutor alterValuAsyncPool() {
        ThreadPoolTaskExecutor executor = new ThreadPoolTaskExecutor();
        executor.setCorePoolSize(10);
        executor.setMaxPoolSize(20);
        executor.setQueueCapacity(300);
        executor.setKeepAliveSeconds(20);
        executor.setThreadNamePrefix("alterValuAsyncPool-");
        RejectedExecutionHandler callerRunsPolicy = new ThreadPoolExecutor.CallerRunsPolicy();
        executor.setRejectedExecutionHandler(callerRunsPolicy);
        executor.initialize();
        return executor;
    }

    @Bean("myAsyncPool")
    public ThreadPoolTaskExecutor myAsyncExecutor() {
        ThreadPoolTaskExecutor executor = new ThreadPoolTaskExecutor();
        executor.setCorePoolSize(5);
        executor.setMaxPoolSize(10);
        executor.setQueueCapacity(100);
        executor.setKeepAliveSeconds(60);
        executor.setThreadNamePrefix("myAsyncPool-");
        RejectedExecutionHandler callerRunsPolicy = new ThreadPoolExecutor.CallerRunsPolicy();
        executor.setRejectedExecutionHandler(callerRunsPolicy);
        executor.initialize();
        return executor;
    }

    public static void main(String[] args) {
        SpringApplication.run(App.class, args);
    }
}
