package cn.demo.biz;

import cn.demo.biz.dto.BomDTO;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.StopWatch;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;

@Slf4j
@Service
public class AptBomService {




    @Autowired
    private AsyncService asyncService;

    /**
     * 应用完整bom信息， 数据量大的话，可以分成3个接口，前端懒加载3个接口
     * @param id
     * @return
     */
    public BomDTO getOneBomByAppMetaId(Long id) throws ExecutionException, InterruptedException {
        BomDTO resp = new BomDTO();
        StopWatch sw = StopWatch.create("id"+id);
        sw.start();

        Future<BomDTO> appMetaInfo = asyncService.getAppMetaInfo(id);
        Future<BomDTO> pointTopicInfo = asyncService.getPointTopicInfo(id);

        BomDTO bomDTO = appMetaInfo.get();
        BeanUtil.copyProperties(bomDTO,resp);
        BomDTO bomDTO1 = pointTopicInfo.get();
        resp.setBomPointList(bomDTO1.getBomPointList());



        sw.stop();
        long totalTimeMillis = sw.getTotalTimeMillis();
        log.info("耗时:{}",totalTimeMillis);

        return resp;

    }



}
