package cn.demo.biz;

import cn.demo.biz.dto.InstDTO;
import cn.demo.biz.dto.InstPointDTO;
import cn.demo.biz.dto.InstTopicDTO;
import cn.demo.orm.dao.*;
import cn.demo.orm.po.*;
import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.StopWatch;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;

@Slf4j
@Service
public class AptInstService {
    @Resource
    private AppInstMapper appInstMapper;

    @Resource
    private TopicManageMapper topicManageMapper;



    @Autowired
    private AsyncService asyncService;

    public InstDTO getAptInstByAppId(Long id) throws ExecutionException, InterruptedException {
        log.trace("trace---test!!!!!");
        log.debug("debug---test!!!!!");
        log.info("info---test!!!!!");
        log.warn("warn---test!!!!!");
        log.error("error---test!!!!!");

        StopWatch sw = StopWatch.create("id"+id);
        sw.start();

        InstDTO instDTO = new InstDTO();
        // app info
        List<AppInst> appInstList = appInstMapper.listByWhere(AppInst.builder()
                .id(id)
                .build());
        AppInst appInst = appInstList.get(0);
        BeanUtil.copyProperties(appInst, instDTO);
        asyncService.handleAppInstExtra(appInst.getAppMetaId(), instDTO);


        // point info
        Future<List<InstPointDTO>> listFuture = asyncService.getAppPointInstInfo(id);
        List<InstPointDTO> instPointDTOList = listFuture.get();
        instDTO.setInstPointList(instPointDTOList);

        if (!instPointDTOList.isEmpty()) {
            for (InstPointDTO instPointDTO : instPointDTOList) {
                List<TopicManage> topicManages = topicManageMapper.listByWhere(TopicManage.builder()
                        .pointInstId(instPointDTO.getId())
                        .build());
                List<InstTopicDTO> instTopicDTOList = new ArrayList<>();
                for (TopicManage item : topicManages) {
                    InstTopicDTO pre = new InstTopicDTO();
                    BeanUtil.copyProperties(item, pre);
                    instTopicDTOList.add(pre);
                }
                instPointDTO.setInstTopicList(instTopicDTOList);
            }
            instDTO.setInstPointList(instPointDTOList);
        }


        sw.stop();
        log.info("耗时:{}",sw.getTotalTimeMillis());
        return instDTO;
    }


}
