package cn.demo.mqtt;

import cn.demo.mqtt.thread.MyService;
import cn.demo.orm.dao.TopicMetaMapper;
import cn.demo.orm.po.TopicMeta;
import cn.hutool.core.util.StrUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

@Component
@Slf4j
public class TestCmdRunner implements CommandLineRunner {

    @Autowired
    private MyService myService;

    @Resource
    private TopicMetaMapper topicMetaMapper;

    @Override
    public void run(String... args) throws Exception {
        List<TopicMeta> topicMetaList = topicMetaMapper.listByWhere(TopicMeta.builder()
                .directType("up")
                .build());

        for (TopicMeta topicMeta : topicMetaList) {

//            String s1 = "down/switch/status/[serno]";
//            String s2 = "#";

            String res = StrUtil.replace(topicMeta.getTopic(), "[serno]", "#");
            log.info("开机订阅:{}",res);
            myService.createThd(res);
        }

//        myService.createThd("up/cck/valu/cck0");
//        myService.createThd("up/cck/valu/cck1");
//        Thread.sleep(15000);
//        myService.removeThd("up/cck/valu/cck0");
    }
}
