package cn.demo.mqtt.thread;

import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.spring.SpringUtil;
import lombok.extern.slf4j.Slf4j;
import org.fusesource.mqtt.client.*;

import java.net.URISyntaxException;

@Slf4j
public class MyRunnable implements Runnable {

    private String topic;

    public MyRunnable(String topic) {
        this.topic = topic;
    }

    @Override
    public void run() {
        MQTT mqtt = new MQTT();
        try {
            mqtt.setHost("tcp://localhost:1883");
        } catch (URISyntaxException e) {
            e.printStackTrace();
        }
        mqtt.setPassword("admin");
        mqtt.setUserName("admin");
        // mqtt.setClientId("sb" + System.currentTimeMillis());
        FutureConnection connection = mqtt.futureConnection();
        connection.connect();
        Topic[] topics = {
                new Topic(topic, QoS.AT_MOST_ONCE)
        };
        connection.subscribe(topics);
//        log.info("Subscribed to topics:{}", topic);

        while (!Thread.currentThread().isInterrupted()) {
            log.info("连续订阅:{}",topic);
            Future<Message> message1 = connection.receive();
            String s1 = "";
            String topicDetail = "";
            try {
                topicDetail = message1.await().getTopic();
                s1 = new String(message1.await().getPayload());
            } catch (Exception e) {
                e.printStackTrace();
                //异常时 跳出while
                break;
            }
            log.info("==>实际订阅到{}消息:{}", topicDetail, s1);

            if (StrUtil.isNotBlank(s1) && StrUtil.isNotBlank(topicDetail)){
                MyService myService = SpringUtil.getBean(MyService.class);
                myService.sendJmsObj(topicDetail,s1);
            }


            if (Thread.currentThread().isInterrupted()){
                //线程中断 也跳出while
                break;
            }
        }

        //最后关闭mqtt连接
        connection.disconnect();
        log.info("关闭一个mqtt连接");

    }



}
