//package cn.demo.mqtt.thread;
//
//import cn.demo.orm.dao.TopicManageMapper;
//import cn.demo.orm.po.TopicManage;
//import org.fusesource.mqtt.client.Future;
//import org.fusesource.mqtt.client.FutureConnection;
//import org.fusesource.mqtt.client.MQTT;
//import org.fusesource.mqtt.client.QoS;
//import org.fusesource.mqtt.client.Topic;
//import org.fusesource.mqtt.client.Message;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.beans.factory.annotation.Qualifier;
//import org.springframework.jms.core.JmsTemplate;
//import org.springframework.stereotype.Service;
//
//import cn.demo.MsgObj;
//import lombok.extern.slf4j.Slf4j;
//
//import javax.annotation.Resource;
//import java.net.URISyntaxException;
//import java.util.List;
//import java.util.Map;
//import java.util.concurrent.ConcurrentHashMap;
//import java.util.concurrent.ThreadPoolExecutor;
//
//@Slf4j
//@Service
//public class MyTestService {
//
//
//    @Autowired
//    private JmsTemplate jmsTemplate;
//
//    @Resource
//    private TopicManageMapper topicManageMapper;
//
//    @Autowired
//    @Qualifier("mqttAsyncPool")
//    private ThreadPoolExecutor mqttAsyncPool;
//
//    private final Map<String, Thread> tMap = new ConcurrentHashMap<>();
//
//    public void createThd(String tname) {
//
//        Thread nThread = new Thread(() -> {
//
//            MQTT mqtt = new MQTT();
//            try {
//                mqtt.setHost("tcp://localhost:1883");
//            } catch (URISyntaxException e) {
//                e.printStackTrace();
//            }
//            mqtt.setPassword("admin");
//            mqtt.setUserName("admin");
//            // mqtt.setClientId("sb" + System.currentTimeMillis());
//            FutureConnection connection = mqtt.futureConnection();
//            connection.connect();
//            Topic[] topics = {
//                    new Topic(tname, QoS.AT_MOST_ONCE)
//            };
//            connection.subscribe(topics);
//            log.info("Subscribed to topics:{}", tname);
//
//            while (tMap.containsKey(tname)) {
//
//                Future<Message> message1 = connection.receive();
//                String topic1 = "";
//                String s1 = "";
//                try {
//                    topic1 = message1.await().getTopic();
//                    s1 = new String(message1.await().getPayload());
//                } catch (Exception e) {
//                    e.printStackTrace();
//                }
//                log.info("实际订阅到{}消息:{}", topic1, s1);
//
//                sendJmsObj(topic1, s1);
//            }
//
//        });
//
//        mqttAsyncPool.execute(nThread);
//
//        tMap.put(tname, nThread);
//    }
//
//    public void removeThd(String tName) {
//        Thread thread = tMap.get(tName);
//        if (thread != null) {
//            mqttAsyncPool.remove(thread);
//            tMap.remove(tName);
//            log.warn("删除一个topic-mqtt实时订阅线程:{}", tName);
//
//        }
//    }
//
//    private void sendJmsObj(String topic, String v) {
//
//        List<TopicManage> topicManages = topicManageMapper.listByWhere(TopicManage.builder()
//                .topic(topic)
//                .build());
//
//        if (topicManages.isEmpty()){
//            log.info("不符合系统topic实例清单的主题!");
//            return;
//        }
//
//        for (TopicManage topicManage : topicManages) {
//            if(topicManage.getEnableFlag()==0){
//                MsgObj msgObj = MsgObj.builder()
//                        .key(topic)
//                        .value(v)
//                        .ts(System.currentTimeMillis())
//                        .build();
//                jmsTemplate.convertAndSend("queue.msgObj", msgObj);
//            }
//        }
//    }
//
//
//}
