import axios from 'axios';
import { layer } from "@layui/layer-vue"

// 创建一个 axios 实例
const reqGlobal = axios.create({
	baseURL: '/', // 所有的请求地址前缀部分
	
	timeout: 60000, // 请求超时时间毫秒
	// `withCredentials` 表示跨域请求时是否需要使用凭证
	withCredentials: false, // 默认的
	// `maxContentLength` 定义允许的响应内容的最大尺寸
	maxContentLength: 20000,
	// headers: {
	// 	// 设置后端需要的传参类型
	// 	'Content-Type': 'application/json',
	// 	'token': 'your token',
	// 	'X-Requested-With': 'XMLHttpRequest',
	// },
})



/**
 * 拦截请求
 */
reqGlobal.interceptors.request.use(reqConfig => {
	console.log('before sending axios http')
	console.log(reqConfig)
	// let loginInfo = JSON.parse(sessionStorage.getItem('loginInfo'));
	// if (loginInfo !== undefined && loginInfo !== null && loginInfo.token !== undefined && loginInfo.token !== null){
	//     reqConfig.headers.Authorization = loginInfo.token;
	// }
	// const token = sessionStorage.getItem('token')
	// if (token ) { // 判断是否存在token，如果存在的话，则每个http header都加上token
	//     config.headers.authorization = token  //请求头加上token
	// }


	return reqConfig;
}, error => {
	//对请求错误做些什么
	console.log(error);
	return Promise.reject(error);

	//return Promise.resolve(err);
	// 请求错误时，不会直接结束，将会继续传到then里面,无论请求成功还是失败，在成功的回调中都能收到通知
});


// 添加响应拦截器
// reqGlobal.interceptors.response.use(
// 	function (response) {
// 		console.log(response)
// 		// 2xx 范围内的状态码都会触发该函数。
// 		// 对响应数据做点什么
// 		// dataAxios 是 axios 返回数据中的 data
// 		const dataAxios = response.data
// 		// 这个状态码是和后端约定的
// 		const code = dataAxios.reset
// 		return dataAxios
// 	},
// 	function (error) {
// 		// 超出 2xx 范围的状态码都会触发该函数。
// 		// 对响应错误做点什么
// 		console.log(error)
// 		return Promise.reject(error)
// 	}
// )


/**
 * 拦截响应
 */
 reqGlobal.interceptors.response.use(res=>{
    console.log('before axios res')
    console.log(res)
    // if (res.data.code === 9403 ){
    //     let loginInfoStr = sessionStorage.getItem('loginInfo');
    //     if (loginInfoStr !== undefined && loginInfoStr !== null){
    //         //前台清掉sessionStorage
    //         sessionStorage.clear();
    //         Modal.warning({
    //             title: '警告',
    //             okText:'知道了',
    //             content: '会话超时，请重新登录',
    //             onOk(){
    //                 router.push({path: '/'}).then(r => {
    //                     console.log('会话超时，请重新登录')
    //                 });
    //             }
    //         });
    //     }else {
    //         MsgBox.error("未登录!");
    //         //前台清掉sessionStorage
    //         sessionStorage.clear();
    //         router.push({path: '/'}).then(r => {
    //             console.log('会话超时，请重新登录')
    //         });
    //     }
    // }



    return res;
},error => {

    if (error.response) {
        switch (error.response.status) {
            case 400: error.message = '请求错误(400)' ; layer.msg(error.message, { time: 1000 });break;
            case 401:
                // 这里写清除token的代码
                error.message = '未授权，请重新登录(401)';
				layer.msg(error.message, { time: 1000 });

                break;
            case 403: error.message = '拒绝访问(403)';layer.msg(error.message, { time: 1000 }); break;
            case 404: error.message = `请求出错(404)`; layer.msg(error.message, { time: 1000 });break;
            case 408: error.message = '请求超时(408)'; layer.msg(error.message, { time: 1000 });break;
            case 500: error.message = '服务器错误(500)';layer.msg(error.message, { time: 1000 });break;
            case 501: error.message = '服务未实现(501)';layer.msg(error.message, { time: 1000 }); break;
            case 502: error.message = '网络错误(502)';layer.msg(error.message, { time: 1000 }); break;
            case 503: error.message = '服务不可用(503)'; layer.msg(error.message, { time: 1000 });break;
            case 504: error.message = '网络超时(504)'; layer.msg(error.message, { time: 1000 });break;
            case 505: error.message = 'HTTP版本不受支持(505)'; layer.msg(error.message, { time: 1000 });break;
            default: error.message = `连接出错(${error.response.status})!`;

        }
    }

    //请求错误时，直接结束
    return Promise.reject(error)

});

export default reqGlobal
