import { createRouter, createWebHistory } from 'vue-router'
// import HomeView from '../views/HomeView.vue'
// import Demo from '../views/Demo.vue'
// import ListWiki from '../views/page/ListWiki.vue'
import Error404View from '../pages/Error404View.vue'
import Error401View from '../pages/Error401View.vue'
import Error403View from '../pages/Error403View.vue'
import Error500View from '../pages/Error500View.vue'
import P1 from '../pages/P1.vue'
import P2 from '../pages/P2.vue'
import P3 from '../pages/P3.vue'
import P4 from '../pages/P4.vue'
import P5 from '../pages/P5.vue'
import P6 from '../pages/P6.vue'
import AppMeta from '../pages/AppMeta.vue'


//vue环境下js读取json外置文件的方法
import sysSetting from '../../mock/my-setting.json'

import NProgress from 'nprogress';
import 'nprogress/nprogress.css'

const routes = [
  {
    path: '/',
    name: 'P1',
    component: P1,
    meta: {
      // 页面标题title
      title: 'P1页'
    }
  },
  {
    path: '/P2',
    name: 'P2',
    component: P2,
    meta: {
      // 页面标题title
      title: 'P2页'
    }
  },
  {
    path: '/P3',
    name: 'P3',
    component: P3,
    meta: {
      // 页面标题title
      title: 'P3页'
    }
  },

  {
    path: '/P4',
    name: 'P4',
    component: P4,
    meta: {
      // 页面标题title
      title: 'P4页'
    }
  },

  {
    path: '/P5',
    name: 'P5',
    component: P5,
    meta: {
      // 页面标题title
      title: 'P5页'
    }
  },
  {
    path: '/P6',
    name: 'P6',
    component: P6,
    meta: {
      // 页面标题title
      title: 'P6页'
    }
  },
  {
    path: '/AppMeta',
    name: 'AppMeta',
    component: AppMeta,
    meta: {
      // 页面标题title
      title: 'AppMeta页'
    }
  },

  // {
  //   path: '/about',
  //   name: 'about',
  //   // route level code-splitting
  //   // this generates a separate chunk (About.[hash].js) for this route
  //   // which is lazy-loaded when the route is visited.
  //   component: () => import('../views/AboutView.vue'),
  //   meta: {
  //     title: 'about页'
  //   }
  // },
  // {
  //   path: '/demo',
  //   name: 'demo',
  //   component: Demo,
  //   meta: {
  //     title: 'Demo管理'
  //   }
  // },
  {
    path: '/401',
    name: 'error401',
    component: Error401View
  },
  {
    path: '/403',
    name: 'error403',
    component: Error403View
  },
  {
    path: '/404',
    name: 'error404',
    component: Error404View
  },
  {
    path: '/500',
    name: 'error500',
    component: Error500View
  }
]

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes
})

router.beforeEach((to, from, next) => {
  console.log('即将要进入的目标 路由对象')
  console.log(to);

  //没有匹配到用户浏览器地址栏输入的url路由，自动重定向到404页面
  if (to.matched.length == 0) {
    next({ path: '/404' });
  }


  console.log('当前导航正要离开的路由')
  console.log(from);

  /* 路由发生变化修改页面title */
  if (to.meta.title) {
    document.title = sysSetting.systemTitle + ' | ' + to.meta.title;
  } else {
    document.title = sysSetting.systemTitle;
  }

  //路由状态指示--进度条start
  NProgress.start();
  next();

  //next: Function: 一定要调用该方法来 resolve 这个钩子。执行效果依赖 next 方法的调用参数。
  //
  // next(): 进行管道中的下一个钩子。如果全部钩子执行完了，则导航的状态就是 confirmed (确认的)。
  //
  // next(false): 中断当前的导航。如果浏览器的 URL 改变了 (可能是用户手动或者浏览器后退按钮)，那么 URL 地址会重置到 from 路由对应的地址。
  //
  // next('/') 或者 next({ path: '/' }): 跳转到一个不同的地址。当前的导航被中断，然后进行一个新的导航。你可以向 next 传递任意位置对象，且允许设置诸如 replace: true、name: 'home' 之类的选项以及任何用在 router-link 的 to prop 或 router.push 中的选项。
  //
  // next(error): (2.4.0+) 如果传入 next 的参数是一个 Error 实例，则导航会被终止且该错误会被传递给 router.onError() 注册过的回调


});

//全局后置钩子
//全局后置钩子，然而和守卫不同的是，这些钩子不会接受 next 函数也不会改变导航本身：
router.afterEach((to, from) => {
  console.log('=============================')
  console.log('即将要进入的目标 路由对象')
  console.log(to);
  console.log('当前导航正要离开的路由')
  console.log(from);

  //路由状态指示--进度条end
  NProgress.done();

});

export default router
